/***** Background *****/
.bg_black {
    background-color: #000000 !important;
}

.bg_gainsboro {
    background-color: #dddddd !important;
}

.bg_gradient {
    background: linear-gradient(90deg,
            hsl(332deg 80% 57%),
            hsl(322deg 64% 52%),
            hsl(308deg 54% 47%),
            hsl(287deg 49% 46%),
            hsl(258deg 54% 50%),
            hsl(252deg 57% 52%),
            hsl(233deg 74% 51%));
}

/***** Text *****/
.text_gradient {
    background: linear-gradient(90deg,
            hsl(332deg 80% 57%) 0%,
            hsl(322deg 64% 52%) 8%,
            hsl(308deg 54% 47%) 17%,
            hsl(287deg 49% 46%) 25%,
            hsl(280deg 50% 47%) 33%,
            hsl(272deg 51% 48%) 42%,
            hsl(263deg 52% 49%) 50%,
            hsl(258deg 54% 50%) 58%,
            hsl(252deg 57% 52%) 67%,
            hsl(244deg 61% 53%) 75%,
            hsl(241deg 64% 54%) 83%,
            hsl(237deg 69% 53%) 92%,
            hsl(233deg 74% 51%) 100%);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
}

.letter_spacing_0_1 {
    letter-spacing: 0.1rem;
}

.text_justify {
    text-align: justify;
}

@media only screen and (min-width: 992px) {
    .h-lg-2 {
        font-size: 2rem;
    }

    .h-lg-4 {
        font-size: 1.5rem;
    }

    .h-lg-5 {
        font-size: 1.25rem;
    }
}

@media only screen and (min-width: 768px) {
    .display-md-2 {
        font-size: 5.5rem;
    }

    .display-md-5 {
        font-size: calc(1.425rem + 2.1vw);
    }

    .h-md-2 {
        font-size: 2rem;
    }

    .h-md-4 {
        font-size: 1.5rem;
    }

    .h-md-5 {
        font-size: 1.25rem;
    }
}

/***** Background Image *****/
.bg_image {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    position: relative;
}

/***** Width ****/
@media only screen and (min-width: 768px) {
    .w-md-50 {
        width: 50% !important;
    }
}

/***** Border *****/
.border_gradient_bg_black,
.border_gradient_bg_gainsboro {
    border: 3px solid transparent !important;
}

.border_gradient_bg_black:hover {
    color: var(--color-theme-white) !important;
}

.border_bg_white {
    border: 3px solid white;
}

.border_gradient {
    background: linear-gradient(90deg,
            hsl(332deg 80% 57%) 0%,
            hsl(322deg 64% 52%) 8%,
            hsl(308deg 54% 47%) 17%,
            hsl(287deg 49% 46%) 25%,
            hsl(280deg 50% 47%) 33%,
            hsl(272deg 51% 48%) 42%,
            hsl(263deg 52% 49%) 50%,
            hsl(258deg 54% 50%) 58%,
            hsl(252deg 57% 52%) 67%,
            hsl(244deg 61% 53%) 75%,
            hsl(241deg 64% 54%) 83%,
            hsl(237deg 69% 53%) 92%,
            hsl(233deg 74% 51%) 100%) border-box !important;
}

.border_bg_hover {
    border: 3px solid white;
}

.border_bg_hover:hover {
    border: 3px solid transparent !important;
    background: linear-gradient(#000000, #000000) padding-box, linear-gradient(90deg,
            hsl(332deg 80% 57%) 0%,
            hsl(322deg 64% 52%) 8%,
            hsl(308deg 54% 47%) 17%,
            hsl(287deg 49% 46%) 25%,
            hsl(280deg 50% 47%) 33%,
            hsl(272deg 51% 48%) 42%,
            hsl(263deg 52% 49%) 50%,
            hsl(258deg 54% 50%) 58%,
            hsl(252deg 57% 52%) 67%,
            hsl(244deg 61% 53%) 75%,
            hsl(241deg 64% 54%) 83%,
            hsl(237deg 69% 53%) 92%,
            hsl(233deg 74% 51%) 100%) border-box !important;
}
.border_gradient_bg_black {
    background: linear-gradient(#000000, #000000) padding-box, linear-gradient(90deg,
            hsl(332deg 80% 57%) 0%,
            hsl(322deg 64% 52%) 8%,
            hsl(308deg 54% 47%) 17%,
            hsl(287deg 49% 46%) 25%,
            hsl(280deg 50% 47%) 33%,
            hsl(272deg 51% 48%) 42%,
            hsl(263deg 52% 49%) 50%,
            hsl(258deg 54% 50%) 58%,
            hsl(252deg 57% 52%) 67%,
            hsl(244deg 61% 53%) 75%,
            hsl(241deg 64% 54%) 83%,
            hsl(237deg 69% 53%) 92%,
            hsl(233deg 74% 51%) 100%) border-box !important;
}

.border_gradient_bg_gainsboro {
    background: linear-gradient(var(--color-theme-white), var(--color-theme-white)) padding-box,
        linear-gradient(90deg,
            hsl(332deg 80% 57%) 0%,
            hsl(322deg 64% 52%) 8%,
            hsl(308deg 54% 47%) 17%,
            hsl(287deg 49% 46%) 25%,
            hsl(280deg 50% 47%) 33%,
            hsl(272deg 51% 48%) 42%,
            hsl(263deg 52% 49%) 50%,
            hsl(258deg 54% 50%) 58%,
            hsl(252deg 57% 52%) 67%,
            hsl(244deg 61% 53%) 75%,
            hsl(241deg 64% 54%) 83%,
            hsl(237deg 69% 53%) 92%,
            hsl(233deg 74% 51%) 100%) border-box !important;
}

.border_radius_20 {
    border-radius: 20px;
}
